/* An example of using the dissidents rx_intui.library */

/* Open a window on WB. Let it be the default IDCMP. */
wind=rxi_GetWindow('Using Line() to draw a line and an unfilled box',,,,,,,,,)
IF wind == '' | wind == 0 THEN SAY 'Window open error'

/* Draw a line segment */
origX=20
origY=40
err=rxi_Line(wind,origX,origY,origX,origY+50)

/* Draw an unfilled box. Note that because we don't specify an origX, origY */
/* the box "starts" where the previous line segment stopped. */
origY=origY+50
boxwidth=100
boxheight=40
err=rxi_Line(wind,,,origX,origY+boxheight,origX+boxwidth,origY+boxheight,origX+boxwidth,origY,origX,origY)

/* Loop until CLOSEWINDOW, using any MOUSEBUTTON select to draw a box */
class = 1
DO WHILE class > 0
spec=rxi_WaitMsg(wind)
PARSE var spec class part1 part2 part3
END

/* Close the window, thus freeing any resources for it. */
wind=rxi_EndWindow(wind)
