/* An example of using the dissidents rx_intui.library */

/* Open a custom screen with default width, height, depth=3, mode=HIRES */
screen=rxi_GetScreen('my Screen',,,,,,,)
IF screen == '' | screen == 0 THEN SAY 'Screen open error'

/* Open a window on this screen. Note that if the screen doesn't open, this */
/* will open on WB. Let it be the default IDCMP. */
wind=rxi_GetWindow('hello',screen,,,300,100,,,,)
IF wind == '' | wind == 0 THEN SAY 'Window open error'

/* Wait for - ANY - IDCMP message to drop us through */
msg=rxi_WaitMsg(wind)

/* Close the window, thus freeing any resources for it. */
wind=rxi_EndWindow(wind)

/* Close the screen, thus freeing any resources for it. */
/* Note that if the screen didn't open, this does nothing */
screen=rxi_EndScreen(screen)
