/* An example of using the dissidents rx_intui.library */

/* Open a window on WB. Let it be the default IDCMP. */
wind=rxi_GetWindow('Printing text to the window',,,,,,,,,)
IF wind == '' | wind == 0 THEN SAY 'Window open error'

/* Print a message */
mytext = 'Close window to see message clear'
err=rxi_Text(mytext,wind,10,40)

/* Wait for - ANY - IDCMP message to drop us through */
msg=rxi_WaitMsg(wind)

/* Erase that message. Note that it was 33 characters long */
err=rxi_Erase(33,wind,10,40)

/* Print a message one line down. Note that the default font is 8 pixels high */
mytext = 'Line #2 '
err=rxi_Text(mytext,wind,10,40+8)

/* Print from where the previous print left off. */
mytext = 'more text'
err=rxi_Text(mytext,wind,,)

/* Wait for - ANY - IDCMP message to drop us through */
msg=rxi_WaitMsg(wind)

/* Close the window, thus freeing any resources for it. */
wind=rxi_EndWindow(wind)
